SELECT
    s.id AS sample_id,
    h.hash,
    h.n_bytes,
    s.http_code,
    s.epoch
FROM
    SidxUriSample AS s,
    Str AS u,
    Hash AS h
ON
    s.uri = u.id
    AND s.hash = h.id
WHERE
    u.str = ?
    AND s.hash IS NOT NULL
ORDER BY
    s.epoch DESC
LIMIT 1;
