INSERT INTO
    CudaArtifact(manifest, sha256, md5, name, pname, license_name, license_path, version, platform, compat_tag, relative_path, n_bytes)
VALUES (
    (SELECT id FROM Hash WHERE hash=:manifest LIMIT 1),
    (SELECT id FROM Hash WHERE hash=:sha256 LIMIT 1),
    (SELECT id FROM Hash WHERE hash=:md5 LIMIT 1),
    (SELECT id FROM Str WHERE str=:name LIMIT 1),
    (SELECT id FROM Str WHERE str=:pname LIMIT 1),
    (SELECT id FROM Str WHERE str=:license_name LIMIT 1),
    (SELECT id FROM Str WHERE str=:license_path LIMIT 1),
    (SELECT id FROM Str WHERE str=:version LIMIT 1),
    (SELECT id FROM Str WHERE str=:platform LIMIT 1),
    (SELECT id FROM Str WHERE str=:compat_tag LIMIT 1),
    (SELECT id FROM Str WHERE str=:relative_path LIMIT 1),
    :n_bytes
)
ON CONFLICT DO NOTHING
